//Bomb.h
#ifndef BOMB_H
#define BOMB_H

#include "main.h"

enum Bomb_States
{
	WAITING,//its on the floor waiting to be picked up
	LOADED, //its in the inventory ready to be dropped
	DROPPED,//its dropped on the ground waiting to blow up
	BLOWING_UP,//its blowing up now
	//MAX_BOMBS = 5,  //max bombs is set to 4 for now.............
	USED,       // this bomb has been blown up and used
};

class Bomb
{
	public:

		Bomb();
		~Bomb();

		//this sets the coordinates of the bomb to the player,right before its drawn
		//we send it player.xPos and yPos
		void Drop(int player_x,int player_y);			
		
		//coordinates of the bomb
		int xPos;			
		int yPos;

		//coordinates this bomb was on in the map[][] array. its the original starting coordinates
		int startx;
		int starty;

		//the current state of the bomb
		Bomb_States state;		


};

#endif
